POST
/api/v1/copilot/analyzeCopilot-style analysis on platform data
Natural-language analysis assistant: takes a question + scope, returns insights with citations to underlying data. Like Cursor/Copilot for the EvalGuard data plane.
Authentication
Send Authorization: Bearer YOUR_API_KEY on every request. Generate API keys at /dashboard/api-keys.
Request body required
Example
{
"question": "string",
"scope": {}
}Schema
{
"application/json": {
"schema": {
"type": "object",
"required": [
"question"
],
"properties": {
"question": {
"type": "string"
},
"scope": {
"type": "object"
}
}
}
}
}Response
200 example
{
"success": true
}All status codes
200Analysis with citations.
400(no description)
401(no description)
429(no description)
Code samples
cURL
curl -X POST \
https://evalguard.ai/api/v1/copilot/analyze \
-H "Authorization: Bearer $EVALGUARD_API_KEY" \
-H "Content-Type: application/json" \
-d '{ "question": "string", "scope": {} }'TypeScript
import { EvalGuard } from "@evalguard/sdk";
const client = new EvalGuard({ apiKey: process.env.EVALGUARD_API_KEY });
const response = await client.request({
method: "POST",
path: "/api/v1/copilot/analyze",
body: {
"question": "string",
"scope": {}
},
});
console.log(response);Python
from evalguard import EvalGuard
import os
client = EvalGuard(api_key=os.environ["EVALGUARD_API_KEY"])
response = client.request(
method="POST",
path="/api/v1/copilot/analyze",
body={
"question": "string",
"scope": {}
},
)
print(response)Go
package main
import (
"context"
"fmt"
"os"
"github.com/evalguard/evalguard-go"
)
func main() {
client := evalguard.NewClient(os.Getenv("EVALGUARD_API_KEY"))
resp, err := client.Request(context.Background(), "POST", "/api/v1/copilot/analyze", map[string]any{"question": "string", "scope": map[string]any{}})
if err != nil { panic(err) }
fmt.Println(resp)
}Errors
400401429